Tree [224b50] master /
History



File Date Author Commit
data 2010-10-03 Bernd Stramm Bernd Stramm [6bd3a8] supply default user certificate "nobody"
debian 2011-09-28 Bernd Stramm Bernd Stramm [224b50] make the resource string shorter
harmattan 2011-09-25 Bernd Stramm Bernd Stramm [36a3ef] remove unneeded parts; add new models for QML
helpfiles 2011-04-19 Bernd Stramm Bernd Stramm [8534f3] manual correction
images 2010-11-08 Bernd Stramm Bernd Stramm [0ab4c0] lost changes
include 2011-09-28 Bernd Stramm Bernd Stramm [224b50] make the resource string shorter
linux 2011-09-24 Bernd Stramm Bernd Stramm [0ed5ff] start porting to QML and Harmattan and MeeGo
qml 2011-09-27 Bernd Stramm Bernd Stramm [0c5b75] better link
qxmpp-util 2010-07-08 Bernd Stramm Bernd Stramm [15b239] cleaning up old stuff, AND adding qxmpp utility...
schemafiles 2011-04-13 Bernd Stramm Bernd Stramm [b79474] more work on qml irc control, show known server...
src 2011-09-28 Bernd Stramm Bernd Stramm [224b50] make the resource string shorter
translate 2010-09-15 Bernd Stramm Bernd Stramm [5199d7] add option to keep/delete/invert black/white li...
ui 2011-09-26 Bernd Stramm Bernd Stramm [d3c7a3] snapshot of some elementary things working, sti...
win32 2010-10-04 Bernd Stramm Bernd Stramm [cecbf1] add stuff to installer
.gitignore 2010-11-07 Bernd Stramm Bernd Stramm [da66da] dock and float channel displays
AUTHORS 2010-08-08 Bernd Stramm Bernd Stramm [ce14cd] relabeled some buttons for clarity, add authors...
COPYRIGHT 2010-07-27 Bernd Stramm Bernd Stramm [2dc9a9] add files and bump version for rpm release
Doxyfile 2011-04-24 Bernd Stramm Bernd Stramm [a2e9fb] start work on floating channel boxes, some of i...
LICENSE.txt 2010-07-27 Bernd Stramm Bernd Stramm [2dc9a9] add files and bump version for rpm release
Makefile.in 2011-09-24 Bernd Stramm Bernd Stramm [0ed5ff] start porting to QML and Harmattan and MeeGo
PROTO.txt 2010-09-11 Bernd Stramm Bernd Stramm [0bbeb9] start Short Audio Message (SAM) stuff
README 2011-04-10 Bernd Stramm Bernd Stramm [8ea8e6] Merge branch 'master' of github.com:berndhs/ega...
README-qxmpp 2010-07-11 Bernd Stramm Bernd Stramm [922256] Merge branch 'master' of ssh://pirx.berndnet/gi...
configure 2011-06-06 Bernd Stramm Bernd Stramm [45c191] make mobi-audio enabled by default
dchat.qrc 2011-09-26 Bernd Stramm Bernd Stramm [0f0382] show/hide offline contacts
egalite-common.pri 2011-09-26 Bernd Stramm Bernd Stramm [d3c7a3] snapshot of some elementary things working, sti...
egalite-harmattan.pro 2011-09-26 Bernd Stramm Bernd Stramm [d3c7a3] snapshot of some elementary things working, sti...
egalite-linux.pro 2011-09-26 Bernd Stramm Bernd Stramm [d3c7a3] snapshot of some elementary things working, sti...
egalite-name 2010-07-03 Bernd Stramm Bernd Stramm [d9bb0f] make direct sockets hand data upstairs
egalite.changes 2011-09-28 Bernd Stramm Bernd Stramm [224b50] make the resource string shorter
egalite.ico 2010-10-04 Bernd Stramm Bernd Stramm [c90edd] ico file for windows
egalite.jpg 2010-08-11 Bernd Stramm Bernd Stramm [cb8afe] Merge branch 'master' of ssh://gitrepo@pirx.ber...
egalite.png 2010-08-11 Bernd Stramm Bernd Stramm [cb8afe] Merge branch 'master' of ssh://gitrepo@pirx.ber...
pack.sh 2011-06-11 Bernd Stramm Bernd Stramm [fa010f] trace
recruit-msg 2010-08-04 Bernd Stramm Bernd Stramm [a21605] prune old off-line resource entries
version.sh 2011-09-28 Bernd Stramm Bernd Stramm [224b50] make the resource string shorter

Read Me

Dchat / Egalite
===============

chat direct over SSL links, or using servers with XMPP or IRC


== Build and Install ==

To build Egalite, you must first install QXmpp.
For your convenience, the egalite project provides
a fork of QXmpp that you can install as a shared library.

After installing QXmpp, build ealite as usual, assuming you
have the Prerequisites (see below):

$ cd /where/you/unpacked/egalite
$ ./configure
$ make

This will put an excutable in the bin/ directory.
You can run this as bin/egalite
Or you can do

# make install

and egalite will be installed in your /usr/local/bin, or /usr/bin,
or whatever you specified as prefix in the configure command.


== Prerequisites ==

You need:

g++ (that's gcc/c++)
Qt4.7.1 devel or later
  - this includes qmake and lrelease
QCA2-devel
QCA-ossl  (don't need devel of this)

the exact naming of these may vary depending on your system.